AbstractReducer.h File Reference
`#include "system_dep.h"`
`#include <escript/Data.h>`
`#include <escript/EsysMPI.h>`
`#include <boost/shared_ptr.hpp>`

Go to the source code of this file.

## Classes

class | escript::AbstractReducer

## Namespaces

| escript
| escript::reducerstatus

## Typedefs

typedef boost::shared_ptr< AbstractReducer > | escript::Reducer_ptr

## Variables

const unsigned char | escript::reducerstatus::NONE =0
const unsigned char | escript::reducerstatus::INTERESTED =1
const unsigned char | escript::reducerstatus::OLD =2
const unsigned char | escript::reducerstatus::OLDINTERESTED =3
const unsigned char | escript::reducerstatus::NEW =4
const unsigned char | escript::reducerstatus::ERROR ='!'